# H245_AudioMode Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_g711Alaw64k, e_g711Alaw56k, e_g711Ulaw64k, e_g711Ulaw56k, e_g722_64k, e_g722_56k, e_g722_48k, e_g728, e_g729, e_g729AnnexA, e_g7231, e_is11172AudioMode, e_is13818AudioMode, e_g729wAnnexB, e_g729AnnexAwAnnexB, e_g7231AnnexCMode, e_gsmFullRate, e_gsmHalfRate, e_gsmEnhancedFullRate, e_genericAudioMode, e_g729Extensions, e_vbd }

## Public Member Functions

| H245_AudioMode (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardParameter & ()
| operator const H245_NonStandardParameter & () const
| operator H245_AudioMode_g7231 & ()
| operator const H245_AudioMode_g7231 & () const
| operator H245_IS11172AudioMode & ()
| operator const H245_IS11172AudioMode & () const
| operator H245_IS13818AudioMode & ()
| operator const H245_IS13818AudioMode & () const
| operator H245_G7231AnnexCMode & ()
| operator const H245_G7231AnnexCMode & () const
| operator H245_GSMAudioCapability & ()
| operator const H245_GSMAudioCapability & () const
| operator H245_GenericCapability & ()
| operator const H245_GenericCapability & () const
| operator H245_G729Extensions & ()
| operator const H245_G729Extensions & () const
| operator H245_VBDMode & ()
| operator const H245_VBDMode & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_AudioMode::Choices

Enumerator:

  e_nonStandard |
  e_g711Alaw64k |
  e_g711Alaw56k |
  e_g711Ulaw64k |
  e_g711Ulaw56k |
  e_g722_64k |
  e_g722_56k |
  e_g722_48k |
  e_g728 |
  e_g729 |
  e_g729AnnexA |
  e_g7231 |
  e_is11172AudioMode |
  e_is13818AudioMode |
  e_g729wAnnexB |
  e_g729AnnexAwAnnexB |
  e_g7231AnnexCMode |
  e_gsmFullRate |
  e_gsmHalfRate |
  e_gsmEnhancedFullRate |
  e_genericAudioMode |
  e_g729Extensions |
  e_vbd |

## Constructor & Destructor Documentation

H245_AudioMode::H245_AudioMode | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_AudioMode::operator H245_NonStandardParameter & | ( |  | ) |

H245_AudioMode::operator const H245_NonStandardParameter & | ( |  | ) | const

H245_AudioMode::operator H245_AudioMode_g7231 & | ( |  | ) |

H245_AudioMode::operator const H245_AudioMode_g7231 & | ( |  | ) | const

H245_AudioMode::operator H245_IS11172AudioMode & | ( |  | ) |

H245_AudioMode::operator const H245_IS11172AudioMode & | ( |  | ) | const

H245_AudioMode::operator H245_IS13818AudioMode & | ( |  | ) |

H245_AudioMode::operator const H245_IS13818AudioMode & | ( |  | ) | const

H245_AudioMode::operator H245_G7231AnnexCMode & | ( |  | ) |

H245_AudioMode::operator const H245_G7231AnnexCMode & | ( |  | ) | const

H245_AudioMode::operator H245_GSMAudioCapability & | ( |  | ) |

H245_AudioMode::operator const H245_GSMAudioCapability & | ( |  | ) | const

H245_AudioMode::operator H245_GenericCapability & | ( |  | ) |

H245_AudioMode::operator const H245_GenericCapability & | ( |  | ) | const

H245_AudioMode::operator H245_G729Extensions & | ( |  | ) |

H245_AudioMode::operator const H245_G729Extensions & | ( |  | ) | const

H245_AudioMode::operator H245_VBDMode & | ( |  | ) |

H245_AudioMode::operator const H245_VBDMode & | ( |  | ) | const

PBoolean H245_AudioMode::CreateObject | ( |  | ) |

PObject* H245_AudioMode::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h